/* Общий верхний блок поиска и регистрации */
.find-reg-enter-line {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 34px;
    margin: 5px 0 5px 0; 
    padding-left: 15px;
    padding-right: 15px;
}

/* Блок поиска */

.top-finder {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    border: 2px solid #003C09;
    border-radius: 10px;
    padding: 0 10px 0 5px;
}

.top-finder button {
    border: none;
    outline: none;
    background: none;
    padding: 5px 5px;
    width: 30px;
    height: 30px;
}

.top-finder input {
    border: none;
    outline: none;
    background: none;
    font-size: 16px;
    margin-left: 5px;
    width: 280px;
    max-width: 280px;
}

/* Блок регистрации и личного кабинета */

.reg-and-enter {
    display: flex;
    justify-content: space-between;
    align-items: center; /* Центрирование по вертикали */
    height: 34px;
    width: 360px;
}

.reg-and-enter a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;

    font-size: 15px;
    color: #003C09;
    text-decoration: none;
    font-weight: bold;

    height: 100%;
    border: 2px solid #003C09;
    border-radius: 10px;
    background-color: transparent;
    transition: all 0.3s ease;

    /* Для одинаковой ширины кнопок (опционально) */
    min-width: 180px;
}

/* Эффект при наведении */
.reg-and-enter a:hover {
    background: #003C09;
    color: #ffffff;
    border-color: #003C09;
    box-shadow: 0 4px 12px rgba(0, 60, 9, 0.25);
}

/* Настройку кнопки регистрации см. в modal-reg-button.css */

/* ----------------- АДАПТИВ ----------------- */

@media (max-width: 768px) {
    .find-reg-enter-line {
        flex-direction: column;      /* было в строку → стало в колонку */
        align-items: center;         /* центр по горизонтали */
        justify-content: center;     /* центр по вертикали */
        height: 80px;
        gap: 5px;
        margin: 5px 0 5px 0; 
    }

    .reg-and-enter {
        justify-content: space-between;;
    }

    .top-finder {
        justify-content: center;
    }
}